# synfig::PaletteItem Struct Reference

`#include <palette.h>`

List of all members.

## Public Member Functions

| PaletteItem ()
| PaletteItem (const Color &color, const String &name, int weight=1)
| PaletteItem (const Color &color, int weight=1)
void | add (const Color &x, int weight=1)
bool | operator< (const PaletteItem &rhs) const

## Public Attributes

Color | color
String | name
int | weight

## Constructor & Destructor Documentation

synfig::PaletteItem::PaletteItem | ( |  | ) | `[inline]`

synfig::PaletteItem::PaletteItem | ( | const Color & | color,
|  | const String & | name,
|  | int | weight = `1` |
| ) |  |  | `[inline]`

synfig::PaletteItem::PaletteItem | ( | const Color & | color,
|  | int | weight = `1` |
| ) |  |  | `[inline]`

## Member Function Documentation

void PaletteItem::add | ( | const Color & | x,
|  | int | weight = `1` |
| ) |  |  |

References color, and weight.

bool synfig::PaletteItem::operator< | ( | const PaletteItem & | rhs | ) | const`[inline]`

References weight.

## Member Data Documentation

Color synfig::PaletteItem::color

Referenced by add(), synfig::Palette::load_from_file(), and luma_less_than().

String synfig::PaletteItem::name

Referenced by synfig::Palette::load_from_file().

int synfig::PaletteItem::weight

Referenced by add(), operator<(), and weight_less_than().

The documentation for this struct was generated from the following files:

- palette.h
- palette.cpp